#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_ICT_Microdati_2014_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_ICT_A2014<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_ICT_A2014, "label") <- c(
"Codice progressivo",
"Classe di ricavi da vendita di beni e servizi",
"Utilizzo di computer nell'Impresa",
"Percentuale di addetti usano computer",
"Impiego di addetti specialisti in materie informatiche",
"Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT",
"Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT",
"Ha assunto o ha provato ad assumere specialisti ICT",
"Difficolt a coprire i posti vacanti per specialisti ICT",
"Utilizzo di persone specializzate in materie informatiche che fanno parte del gruppo di imprese",
"Utilizzo di persone specializzate in materie informatiche esterne al gruppo",
"Connessione ad Internet",
"Percentuale di addetti usano computer connessi Internet",
"Tipo di connessione: fissa in banda larga",
"Velocit max download connessione fissa",
"Tipo di connessione: mobile in banda larga",
"Tipo di connessione: mobile non a banda larga",
"Percentuale di addetti provvisti di dispositivi portatili forniti dall'impresa che permettono la connessione mobile ad Internet",
"Sito web",
"Possibilit di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line)",
"Tracciabilit on line dell'ordine",
"Accesso a cataloghi di prodotti o listini prezzi",
"Possibilit di personalizzare i contenuti del sito per i visitatori abituali",
"Possibilit per i visitatori del sito di personalizzare o progettare prodotti",
"Avvertenze sulla politica in materia di privacy, marchio di certificazione della tutela della privacy o certificazione della sicurezza del sito",
"Annuncio di posti di lavoro vacanti o possibilit di effettuare domande di impiego on line",
"Collegamenti o riferimenti ai profili dell'impresa sui social media",
"Possibilit di presentare on-line dei reclami (tramite email, modulo web, ecc.)",
"Utilizzo SM per tipologia: social network (ad es. Facebook, Linkedln, Xing, Viadeo, Yammer)",
"Utilizzo SM per tipologia: blog o microblog dell'impresa (ad es. TWItter, Present.ly)",
"Utilizzo SM per tipologia: siti web di condivisione di contenuti multimediali (ad es. YouTube, Flickr, Picasa, SlideShare)",
"Utilizzo SM per tipologia: strumenti di tipo Wiki basati sulla condivisione delle conoscenze",
"Utilizzo di servizi di cloud computing su Internet",
"Tipologia servizi cloud utilizzati: servizi di posta elettronica",
"Tipologia servizi cloud utilizzati: software per ufficio",
"Tipologia servizi cloud utilizzati: hosting di database dell'impresa",
"Tipologia servizi cloud utilizzati: archiviazione di file",
"Tipologia servizi cloud utilizzati: applicazioni software di finanza e contabilit",
"Tipologia servizi cloud utilizzati: applicazioni software CRM per gestire le informazioni relative ai propri clienti",
"Tipologia servizi cloud utilizzati: potenza di calcolo per eseguire il software dell'impresa",
"Tipologia di fornitura di servizi cloud: server condivisi (cloud pubblico)",
"Tipologia di fornitura di servizi cloud: server riservati (cloud privato)",
"Benefici utilizzo cloud (livello): riduzione dei costi relativi all'ICT",
"Benefici utilizzo cloud (livello): flessibilit grazie alla scalabilit servizi di cloud",
"Benefici utilizzo cloud (livello): implementazione facile e veloce di soluzioni basate sul cloud",
"Limitazioni utilizzo cloud: rischi di violazione della sicurezza",
"Limitazioni utilizzo cloud: problemi per l'accesso ai dati o al software",
"Limitazioni utilizzo cloud: difficolt di trasferire i dati (portabilit) nel caso di cambiamento del fornitore o cessazione del servizio di cloud",
"Limitazioni utilizzo cloud: incertezza sull'ubicazione dei dati",
"Limitazioni utilizzo cloud: incertezza sul quadro legislativo di riferimento, la giurisdizione e la competenza in caso di controversie",
"Limitazioni utilizzo cloud: costi elevati per l'acquisto di servizi di cloud",
"Limitazioni utilizzo cloud: conoscenza non adeguata dei servizi di cloud",
"Utilizzo software ERP",
"Utilizzo software CRM analitico",
"Utilizzo software CRM operativo",
"Scambio elettronico di dati in formato tipo edi: istruzioni di pagamento a istituti finanziari",
"Scambio elettronico di dati in formato tipo edi: dati dalla/alla Pubblica Amministrazione",
"Condivisione elettronica informazioni sulla SCM",
"Condivisione elettronica informazioni sulla SCM tramite web",
"Condivisione elettronica informazioni sulla SCM tramite scambio in formato standard",
"Utilizzo RFID per dentificare persone o controllare gli accessi",
"Utilizzo RFID per monitorare e controllare la produzione industriale e il processo di consegna",
"Utilizzo RFID per identificare i prodotti dopo la fase della produzione",
"Percentuale di fatture inviate ad altre imprese o P.A. in formato elettronico standard adatto per l'elaborazione  automatica dei dati (ad es. EDI, UBL, XML)",
"Percentuale di fatture inviate ad altre imprese o P.A. in formato elettronico non adatto per l'elaborazione automatica (ad es. email, allegati email in formato PDF)",
"Percentuale di fatture inviate  ad altre imprese o P.A. in formato cartaceo",
"Percentuale di fatture ricevute in formato elettronico standard adatto per l'elaborazione  automatica dei dati (ad es. EDI, UBL, XML)",
"Percentuale di fatture ricevute in formato elettronico non adatto per l'elaborazione automatica (ad es. email, allegati email in formato PDF) + cartacee",
"Ordini di vendita attraverso sito web",
"Classe di valore percentuale degli ordini di vendita sito web",
"Percentuale delle vendite effettuate attraverso sito web a consumatori privati (B2C)",
"Percentuale delle vendite effettuate attraverso sito web ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G)",
"Pagamenti online",
"Pagamenti offline",
"Ordini di vendita attraverso sistemi di tipo EDI",
"Classe di valore percentuale degli ordini di vendita sistemi di tipo EDI",
"Acquisti tramite reti informatiche (sito web, extranet, Edi)",
"Classe percentuale in cui ricade il valore degli ordini di acquisto online sul totale degli acquisti",
"Ateco, classificazione ateco2007",
"Macrosettore",
"Classe addetti",
" 21 reg amministrative (BZ=21; TN=22 ) ",
"Primo dominio di stima per la pubblicazione (per 27 attivit economiche)",
"Secondo dominio di stima per la pubblicazione (mac per  clad4)",
"Terzo dominio di stima per la pubblicazione (mac per reg21)",
"Dominio relativo al settore ICT che comprende le seguenti attivit economiche: 261+262+263+264+268+465+582+61+62+631+951",
"Peso da utilizzare per riporto all'universo (Asia 2012)",
"Classe di valore percentuale degli ordini di vendita online")

Ricavi_Fact <- factor(DF_ICT_A2014$Ricavi, 
levels=c(-0, 
-20000, 
-50000, 
-100000, 
-200000, 
-500000, 
-1000000, 
-2000000, 
-4000000, 
-5000000, 
-10000000, 
-20000000, 
-50000000, 
-200000000), 
labels=c("[0,20000)", 
"[20000,50000)", 
"[50000,100000)", 
"[100000,200000)", 
"[200000,500000)", 
"[500000,1000000)", 
"[1000000,2000000)", 
"[2000000,4000000)", 
"[4000000,5000000)", 
"[5000000,10000000)", 
"[10000000,20000000)", 
"[20000000,50000000)", 
"[50000000,200000000)", 
"[200000000 e oltre)")) 


A1_Fact <- factor(DF_ICT_A2014$A1, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


B1_Fact <- factor(DF_ICT_A2014$B1, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


B2a_Fact <- factor(DF_ICT_A2014$B2a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


B2b_Fact <- factor(DF_ICT_A2014$B2b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


B3_Fact <- factor(DF_ICT_A2014$B3, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


B4_Fact <- factor(DF_ICT_A2014$B4, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


B5a_Fact <- factor(DF_ICT_A2014$B5a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


B5b_Fact <- factor(DF_ICT_A2014$B5b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C1_Fact <- factor(DF_ICT_A2014$C1, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C3_Fact <- factor(DF_ICT_A2014$C3, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C4_Fact <- factor(DF_ICT_A2014$C4, 
levels=c(-., 
-1, 
-2, 
-3, 
-4, 
-5), 
labels=c("missing", 
"Inferiore a  2Mbit/s", 
"Compresa tra 2Mbit/s e meno di 10Mbit/s", 
"Compresa tra 10Mbit/s e meno di 30Mbit/s", 
"Compresa tra 30Mbit/s e meno di 100Mbit/s", 
"Maggiore o uguale a 100 Mbit/s")) 


C5a_Fact <- factor(DF_ICT_A2014$C5a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C5b_Fact <- factor(DF_ICT_A2014$C5b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C7_Fact <- factor(DF_ICT_A2014$C7, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C8a_Fact <- factor(DF_ICT_A2014$C8a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C8b_Fact <- factor(DF_ICT_A2014$C8b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C8c_Fact <- factor(DF_ICT_A2014$C8c, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C8d_Fact <- factor(DF_ICT_A2014$C8d, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C8e_Fact <- factor(DF_ICT_A2014$C8e, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C8f_Fact <- factor(DF_ICT_A2014$C8f, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C8g_Fact <- factor(DF_ICT_A2014$C8g, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C8h_Fact <- factor(DF_ICT_A2014$C8h, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C8i_Fact <- factor(DF_ICT_A2014$C8i, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C9a_Fact <- factor(DF_ICT_A2014$C9a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C9b_Fact <- factor(DF_ICT_A2014$C9b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C9c_Fact <- factor(DF_ICT_A2014$C9c, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


C9d_Fact <- factor(DF_ICT_A2014$C9d, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D1_Fact <- factor(DF_ICT_A2014$D1, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D2a_Fact <- factor(DF_ICT_A2014$D2a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D2b_Fact <- factor(DF_ICT_A2014$D2b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D2c_Fact <- factor(DF_ICT_A2014$D2c, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D2d_Fact <- factor(DF_ICT_A2014$D2d, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D2e_Fact <- factor(DF_ICT_A2014$D2e, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D2f_Fact <- factor(DF_ICT_A2014$D2f, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D2g_Fact <- factor(DF_ICT_A2014$D2g, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D3a_Fact <- factor(DF_ICT_A2014$D3a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D3b_Fact <- factor(DF_ICT_A2014$D3b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D4a_Fact <- factor(DF_ICT_A2014$D4a, 
levels=c(-., 
-1, 
-2, 
-3, 
-4), 
labels=c("missing", 
"beneficio elevato", 
"beneficio medio", 
"beneficio scarso", 
"beneficio nullo")) 


D4b_Fact <- factor(DF_ICT_A2014$D4b, 
levels=c(-., 
-1, 
-2, 
-3, 
-4), 
labels=c("missing", 
"beneficio elevato", 
"beneficio medio", 
"beneficio scarso", 
"beneficio nullo")) 


D4c_Fact <- factor(DF_ICT_A2014$D4c, 
levels=c(-., 
-1, 
-2, 
-3, 
-4), 
labels=c("missing", 
"beneficio elevato", 
"beneficio medio", 
"beneficio scarso", 
"beneficio nullo")) 


D5a_Fact <- factor(DF_ICT_A2014$D5a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D5b_Fact <- factor(DF_ICT_A2014$D5b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D5c_Fact <- factor(DF_ICT_A2014$D5c, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D5d_Fact <- factor(DF_ICT_A2014$D5d, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D5e_Fact <- factor(DF_ICT_A2014$D5e, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D5f_Fact <- factor(DF_ICT_A2014$D5f, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


D5g_Fact <- factor(DF_ICT_A2014$D5g, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


E1_Fact <- factor(DF_ICT_A2014$E1, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


E2a_Fact <- factor(DF_ICT_A2014$E2a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


E2b_Fact <- factor(DF_ICT_A2014$E2b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


F1a_Fact <- factor(DF_ICT_A2014$F1a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


F1b_Fact <- factor(DF_ICT_A2014$F1b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


G1_Fact <- factor(DF_ICT_A2014$G1, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


G2a_Fact <- factor(DF_ICT_A2014$G2a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


G2b_Fact <- factor(DF_ICT_A2014$G2b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


H1a_Fact <- factor(DF_ICT_A2014$H1a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


H1b_Fact <- factor(DF_ICT_A2014$H1b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


H1c_Fact <- factor(DF_ICT_A2014$H1c, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


J1_Fact <- factor(DF_ICT_A2014$J1, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


J2_Fact <- factor(DF_ICT_A2014$J2, 
levels=c(-0, 
-1, 
-2, 
-5, 
-10, 
-25, 
-50), 
labels=c("[0,1)", 
"[1,2)", 
"[2,5)", 
"[5,10)", 
"[10,25)", 
"[25,50)", 
"[50,oltre 50)")) 


J4a_Fact <- factor(DF_ICT_A2014$J4a, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


J4b_Fact <- factor(DF_ICT_A2014$J4b, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


J5_Fact <- factor(DF_ICT_A2014$J5, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


J6_Fact <- factor(DF_ICT_A2014$J6, 
levels=c(-0, 
-1, 
-2, 
-5, 
-10, 
-25, 
-50), 
labels=c("[0,1)", 
"[1,2)", 
"[2,5)", 
"[5,10)", 
"[10,25)", 
"[25,50)", 
"[50,oltre 50)")) 


J7_Fact <- factor(DF_ICT_A2014$J7, 
levels=c(-., 
-0, 
-1), 
labels=c("missing", 
"no", 
"si")) 


J8_Fact <- factor(DF_ICT_A2014$J8, 
levels=c(-., 
-1, 
-2, 
-3, 
-4, 
-5, 
6, 
7), 
labels=c("missing", 
"Meno dell1%", 
"Tra l1% e meno del 5%", 
"Tra il 5% e meno di 10%", 
"Tra il 10% e meno di 25%", 
"Tra il 25% e meno di 50%", 
"Tra il 50% e meno di 75%", 
"Dal 75% al 100%")) 


Ateco_Fact <- factor(DF_ICT_A2014$Ateco, 
levels=c("A01", 
"A02", 
"A03", 
"B05", 
"B06", 
"B07", 
"B08", 
"B09", 
"C10", 
"C11", 
"C12", 
"C13", 
"C14", 
"C15", 
"C16", 
"C17", 
"C18", 
"C19", 
"C20", 
"C21", 
"C22", 
"C23", 
"C24", 
"C25", 
"C26", 
"C27", 
"C28", 
"C29", 
"C30", 
"C31", 
"C32", 
"C33", 
"D35", 
"E36", 
"E37", 
"E38", 
"E39", 
"F41", 
"F42", 
"F43", 
"G45", 
"G46", 
"G47", 
"H49", 
"H50", 
"H51", 
"H52", 
"H53", 
"I55", 
"I56", 
"J58", 
"J59", 
"J60", 
"J61", 
"J62", 
"J63", 
"K64", 
"K65", 
"K66", 
"L68", 
"M69", 
"M70", 
"M71", 
"M72", 
"M73", 
"M74", 
"M75", 
"N77", 
"N78", 
"N79", 
"N80", 
"N81", 
"N82", 
"O84", 
"P85", 
"Q86", 
"Q87", 
"Q88", 
"R90", 
"R91", 
"R92", 
"R93", 
"S94", 
"S95", 
"S96", 
"T97", 
"T98", 
"U99"), 
labels=c("COLTIVAZIONI AGRICOLE E PRODUZIONE DI PRODOTTI ANIMALI, CACCIA E SERVIZI CONNESSI", 
"SILVICOLTURA ED UTILIZZO DI AREE FORESTALI", 
"PESCA E ACQUACOLTURA", 
"ESTRAZIONE DI CARBONE (ESCLUSA TORBA)", 
"ESTRAZIONE DI PETROLIO GREGGIO E DI GAS NATURALE", 
"ESTRAZIONE DI MINERALI METALLIFERI", 
"ALTRE ATTIVIT DI ESTRAZIONE DI MINERALI DA CAVE E MINIERE", 
"ATTIVIT DEI SERVIZI DI SUPPORTO ALL'ESTRAZIONE", 
"INDUSTRIE ALIMENTARI", 
"INDUSTRIA DELLE BEVANDE", 
"INDUSTRIA DEL TABACCO", 
"INDUSTRIE TESSILI", 
"CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; CONFEZIONE DI ARTICOLI IN PELLE E PELLICCIA", 
"FABBRICAZIONE DI ARTICOLI IN PELLE E SIMILI", 
"INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO (ESCLUSI I MOBILI); FABBRICAZIONE DI ARTICOLI IN PAGLIA E MATERIALI DA INTRECCIO", 
"FABBRICAZIONE DI CARTA E DI PRODOTTI DI CARTA", 
"STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI", 
"FABBRICAZIONE DI COKE E PRODOTTI DERIVANTI DALLA RAFFINAZIONE DEL PETROLIO", 
"FABBRICAZIONE DI PRODOTTI CHIMICI", 
"FABBRICAZIONE DI PRODOTTI FARMACEUTICI DI BASE E DI PREPARATI FARMACEUTICI", 
"FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE", 
"FABBRICAZIONE DI ALTRI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI", 
"METALLURGIA", 
"FABBRICAZIONE DI PRODOTTI IN METALLO (ESCLUSI MACCHINARI E ATTREZZATURE)", 
"FABBRICAZIONE DI COMPUTER E PRODOTTI DI ELETTRONICA  E OTTICA; APPARECCHI ELETTROMEDICALI, APPARECCHI DI MISURAZIONE E DI OROLOGI", 
"FABBRICAZIONE DI APPARECCHIATURE ELETTRICHE ED APPARECCHIATURE PER USO DOMESTICO NON ELETTRICHE", 
"FABBRICAZIONE DI MACCHINARI ED APPARECCHIATURE NCA", 
"FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI", 
"FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO", 
"FABBRICAZIONE DI MOBILI", 
"ALTRE INDUSTRIE MANIFATTURIERE", 
"RIPARAZIONE, MANUTENZIONE ED INSTALLAZIONE DI MACCHINE ED APPARECCHIATURE", 
"FORNITURA DI ENERGIA ELETTRICA, GAS, VAPORE E ARIA CONDIZIONATA", 
"RACCOLTA, TRATTAMENTO E FORNITURA DI ACQUA", 
"GESTIONE DELLE RETI FOGNARIE", 
"ATTIVIT DI RACCOLTA, TRATTAMENTO E SMALTIMENTO DEI RIFIUTI; RECUPERO DEI MATERIALI", 
"ATTIVIT DI RISANAMENTO E ALTRI SERVIZI DI GESTIONE DEI RIFIUTI", 
"COSTRUZIONE DI EDIFICI", 
"INGEGNERIA CIVILE", 
"LAVORI DI COSTRUZIONE SPECIALIZZATI", 
"COMMERCIO ALL'INGROSSO E AL DETTAGLIO E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI", 
"COMMERCIO ALL'INGROSSO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)", 
"COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)", 
"TRASPORTO TERRESTRE E TRASPORTO MEDIANTE CONDOTTE", 
"TRASPORTO MARITTIMO E PER VIE D'ACQUA", 
"TRASPORTO AEREO", 
"MAGAZZINAGGIO E ATTIVIT DI SUPPORTO AI TRASPORTI", 
"SERVIZI POSTALI E ATTIVIT DI CORRIERE", 
"ALLOGGIO", 
"ATTIVIT DEI SERVIZI DI RISTORAZIONE", 
"ATTIVIT EDITORIALI", 
"ATTIVIT DI PRODUZIONE CINEMATOGRAFICA, DI VIDEO E DI PROGRAMMI TELEVISIVI, DI REGISTRAZIONI MUSICALI E SONORE", 
"ATTIVIT DI PROGRAMMAZIONE E TRASMISSIONE", 
"TELECOMUNICAZIONI", 
"PRODUZIONE DI SOFTWARE, CONSULENZA INFORMATICA E ATTIVIT CONNESSE", 
"ATTIVIT DEI SERVIZI D'INFORMAZIONE E ALTRI SERVIZI INFORMATICI", 
"ATTIVIT DI SERVIZI FINANZIARI (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)", 
"ASSICURAZIONI, RIASSICURAZIONI E FONDI PENSIONE (ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE)", 
"ATTIVIT AUSILIARIE DEI SERVIZI FINANZIARI E DELLE ATTIVIT ASSICURATIVE", 
"ATTIVIT IMMOBILIARI", 
"ATTIVIT LEGALI E CONTABILIT", 
"ATTIVIT DI DIREZIONE AZIENDALE E DI CONSULENZA GESTIONALE", 
"ATTIVIT DEGLI STUDI DI ARCHITETTURA E D'INGEGNERIA; COLLAUDI ED ANALISI TECNICHE", 
"RICERCA SCIENTIFICA E SVILUPPO", 
"PUBBLICIT E RICERCHE DI MERCATO", 
"ALTRE ATTIVIT PROFESSIONALI, SCIENTIFICHE E TECNICHE", 
"SERVIZI VETERINARI", 
"ATTIVIT DI NOLEGGIO E LEASING OPERATIVO", 
"ATTIVIT DI RICERCA, SELEZIONE, FORNITURA DI PERSONALE", 
"ATTIVIT DEI SERVIZI DELLE AGENZIE DI VIAGGIO, DEI TOUR OPERATOR E SERVIZI DI PRENOTAZIONE E ATTIVIT CONNESSE", 
"SERVIZI DI VIGILANZA E INVESTIGAZIONE", 
"ATTIVIT DI SERVIZI PER EDIFICI E PAESAGGIO", 
"ATTIVIT DI SUPPORTO PER LE FUNZIONI D'UFFICIO E ALTRI SERVIZI DI SUPPORTO ALLE IMPRESE", 
"AMMINISTRAZIONE PUBBLICA E DIFESA; ASSICURAZIONE SOCIALE OBBLIGATORIA", 
"ISTRUZIONE", 
"ASSISTENZA SANITARIA", 
"SERVIZI DI ASSISTENZA SOCIALE RESIDENZIALE", 
"ASSISTENZA SOCIALE NON RESIDENZIALE", 
"ATTIVIT CREATIVE, ARTISTICHE E DI INTRATTENIMENTO", 
"ATTIVIT DI BIBLIOTECHE, ARCHIVI, MUSEI ED ALTRE ATTIVIT CULTURALI", 
"ATTIVIT RIGUARDANTI LE LOTTERIE, LE SCOMMESSE, LE CASE DA GIOCO", 
"ATTIVIT SPORTIVE, DI INTRATTENIMENTO E DI DIVERTIMENTO", 
"ATTIVIT DI ORGANIZZAZIONI ASSOCIATIVE", 
"RIPARAZIONE DI COMPUTER E DI BENI PER USO PERSONALE E PER LA CASA", 
"ALTRE ATTIVIT DI SERVIZI PER LA PERSONA", 
"ATTIVIT DI FAMIGLIE E CONVIVENZE COME DATORI DI LAVORO PER PERSONALE DOMESTICO", 
"PRODUZIONE DI BENI E SERVIZI INDIFFERENZIATI  PER USO PROPRIO DA PARTE DI  FAMIGLIE E CONVIVENZE", 
"ORGANIZZAZIONI ED ORGANISMI EXTRATERRITORIALI")) 


mac_Fact <- factor(DF_ICT_A2014$mac, 
levels=c("-M1", 
"-M3", 
"-M4", 
"M2"), 
labels=c("MACROSETTORE MANIFATTURIERO", 
"MACROSETTORE COSTRUZIONI", 
"MACROSETTORE SERVIZI (NON FINANZIARI)", 
"MACROSETTORE ENERGIA")) 


clad4_Fact <- factor(DF_ICT_A2014$clad4, 
levels=c("-cl1", 
"-cl2", 
"-cl3", 
"-cl4"), 
labels=c("10-49 addetti", 
"50-99 addetti", 
"100-249 addetti", 
"250 e pi addetti")) 


reg21_Fact <- factor(DF_ICT_A2014$reg21, 
levels=c("-1", 
"-2", 
"-3", 
"-5", 
"-6", 
"-7", 
"-8", 
"-9", 
"-10", 
"-11", 
"-12", 
"-13", 
"-14", 
"-15", 
"-16", 
"-17", 
"-18", 
"-19", 
"-20", 
"-21", 
"-22"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna", 
"Provincia Autonoma Bolzano", 
"Provincia Autonoma Trento")) 


dom1_Fact <- factor(DF_ICT_A2014$dom1, 
levels=c("-N01", 
"-N02", 
"-N03", 
"-N04", 
"-N05", 
"-N06", 
"-N07", 
"-N08", 
"-N09", 
"-N10", 
"-N11", 
"-N12", 
"-N13", 
"-N14", 
"-N15", 
"-N16", 
"-N17", 
"-N18", 
"-N19", 
"-N20", 
"-N21", 
"-N22", 
"-N23", 
"-N24", 
"-N25", 
"-N26", 
"-N27"), 
labels=c("Dominio divisioni e gruppi Ateco 2007: 10+11+12", 
"Dominio divisioni e gruppi Ateco 2007: 13+14+15", 
"Dominio divisioni e gruppi Ateco 2007: 16+17+18", 
"Dominio divisioni e gruppi Ateco 2007: 19+20+21+22+23", 
"Dominio divisioni e gruppi Ateco 2007: 24+25", 
"Dominio divisioni e gruppi Ateco 2007: 26", 
"Dominio divisioni e gruppi Ateco 2007: 27+28", 
"Dominio divisioni e gruppi Ateco 2007: 29+30", 
"Dominio divisioni e gruppi Ateco 2007: 31+32+33", 
"Dominio divisioni e gruppi Ateco 2007: 35+36+37+38+39", 
"Dominio divisioni e gruppi Ateco 2007: 41+42+43", 
"Dominio divisioni e gruppi Ateco 2007: 45", 
"Dominio divisioni e gruppi Ateco 2007: 46", 
"Dominio divisioni e gruppi Ateco 2007: 47", 
"Dominio divisioni e gruppi Ateco 2007: 49+50+51+52", 
"Dominio divisioni e gruppi Ateco 2007: 53", 
"Dominio divisioni e gruppi Ateco 2007: 55", 
"Dominio divisioni e gruppi Ateco 2007: 56", 
"Dominio divisioni e gruppi Ateco 2007: 58", 
"Dominio divisioni e gruppi Ateco 2007: 59+60", 
"Dominio divisioni e gruppi Ateco 2007: 61", 
"Dominio divisioni e gruppi Ateco 2007: 62+63", 
"Dominio divisioni e gruppi Ateco 2007: 68", 
"Dominio divisioni e gruppi Ateco 2007: 69+70+71+72+73+74", 
"Dominio divisioni e gruppi Ateco 2007: 77+78+80+81+82", 
"Dominio divisioni e gruppi Ateco 2007: 79", 
"Dominio divisioni e gruppi Ateco 2007: 95.1")) 


J2J6_Fact <- factor(DF_ICT_A2014$J2J6, 
levels=c(-0, 
-1, 
-2, 
-5, 
-10, 
-25, 
-50), 
labels=c("[0,1)", 
"[1,2)", 
"[2,5)", 
"[5,10)", 
"[10,25)", 
"[25,50)", 
"[50,oltre 50)")) 

save.image (file="DF_ICT_A2014.RData")
